summaryrefslogtreecommitdiffstats
path: root/.local/bin/i3cmds/dmenuumount
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
commit54920103c2843f5a3620effbccaceaee7f6885c1 (patch)
tree222aa8e75573364cd043382996f4798d94104f65 /.local/bin/i3cmds/dmenuumount
parent18e001db07d7105ab4dc4f4f836ca0d3a516a791 (diff)
downloadeibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.gz
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.zst
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.zip
scripts moved to ~/.local/bin
Diffstat (limited to '.local/bin/i3cmds/dmenuumount')
-rwxr-xr-x.local/bin/i3cmds/dmenuumount41
1 files changed, 41 insertions, 0 deletions
diff --git a/.local/bin/i3cmds/dmenuumount b/.local/bin/i3cmds/dmenuumount
new file mode 100755
index 0000000..dee53e7
--- /dev/null
+++ b/.local/bin/i3cmds/dmenuumount
@@ -0,0 +1,41 @@
+#!/bin/sh
+# A dmenu prompt to unmount drives.
+# Provides you with mounted partitions, select one to unmount.
+# Drives mounted at /, /boot and /home will not be options to unmount.
+
+unmountusb() {
+ [ -z "$drives" ] && exit
+ chosen=$(echo "$drives" | dmenu -i -p "Unmount which drive?" | awk '{print $1}')
+ [ -z "$chosen" ] && exit
+ sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."
+ }
+
+unmountandroid() { \
+ chosen=$(awk '/simple-mtpfs/ {print $2}' /etc/mtab | dmenu -i -p "Unmount which device?")
+ [ -z "$chosen" ] && exit
+ sudo -A umount -l "$chosen" && notify-send "🤖 Android unmounting" "$chosen unmounted."
+ }
+
+asktype() { \
+ case "$(printf "USB\\nAndroid" | dmenu -i -p "Unmount a USB drive or Android device?")" in
+ USB) unmountusb ;;
+ Android) unmountandroid ;;
+ esac
+ }
+
+drives=$(lsblk -nrpo "name,type,size,mountpoint" | awk '$2=="part"&&$4!~/\/boot|\/home$|SWAP/&&length($4)>1{printf "%s (%s)\n",$4,$3}')
+
+if ! grep simple-mtpfs /etc/mtab; then
+ [ -z "$drives" ] && echo "No drives to unmount." && exit
+ echo "Unmountable USB drive detected."
+ unmountusb
+else
+ if [ -z "$drives" ]
+ then
+ echo "Unmountable Android device detected."
+ unmountandroid
+ else
+ echo "Unmountable USB drive(s) and Android device(s) detected."
+ asktype
+ fi
+fi